summaryrefslogtreecommitdiff
path: root/includes/generic-includes.sh
diff options
context:
space:
mode:
Diffstat (limited to 'includes/generic-includes.sh')
-rw-r--r--includes/generic-includes.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/includes/generic-includes.sh b/includes/generic-includes.sh
index 3cc65de..d3db9bf 100644
--- a/includes/generic-includes.sh
+++ b/includes/generic-includes.sh
@@ -36,6 +36,15 @@ function die
exit 1
}
+function diesoftly
+{
+ # a non-destructive die
+
+ echo " ! The install failed; sorry." 1>&2
+
+ exit 1
+}
+
function diequietly
{
exit 1